* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    width: 100vw;
    height: 100vh;
    overflow: hidden; 
    background-color: #000; 
    position: relative; 
}


.scene-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100vw;
    height: 56.25vw;  
    min-height: 100vh;
    min-width: 177.77vh;
}

.video-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; 

}

#bg-video-intro {
    z-index: 2;
}

#bg-video-loop {
    z-index: 1;
}

@keyframes blurFadeIn {
    0% { filter: blur(15px); opacity: 0; }
    50% { opacity: 1; }                  
    100% { filter: blur(0px); opacity: 1; } 
}

#lottie-container {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -20vw; 
    margin-top: 10%;   
    transform: translate(-50%, -50%);
    width: 30vw; 
    min-width: 300px;
    max-width: 585px;
    aspect-ratio: 1 / 1;
    z-index: 3;
    animation: blurFadeIn 2s ease-out forwards;


    @media (max-width: 1440px) {
        margin-left: -15vw;
    }


    @media (max-width: 1024px) {
        margin-left: -12vw;
         margin-top: 18vh;
    }

    @media (max-width: 768px) {
        margin-left: 4vw;
        margin-top: 0%;
    }
}

